OpenIsle Docs
API 概览
List categories GET Create category POST
Delete category DELETE Get category GET Update category PUT
Api
Categories
Id

# Update category

Update an existing category

PUT
/`api`/`categories`/`{id}`

## Authorization

AuthorizationBearer <token>

In: `header`

## Path Parameters

idinteger
Format `int64`

## Request Body

name?string
description?string
icon?string
smallIcon?string

## Response Body

###

    curl -X PUT "https://www.open-isle.com/api/categories/0" \  -H "Content-Type: application/json" \  -d '{}'

    {
      "id": 0,
      "name": "string",
      "description": "string",
      "icon": "string",
      "smallIcon": "string",
      "count": 0
    }

Get category GET

Previous Page

List posts by category GET

Next Page

    curl -X PUT "https://www.open-isle.com/api/categories/0" \
      -H "Content-Type: application/json" \
      -d '{}'